#
# spec file for package iftop (Version 0.16)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           iftop
BuildRequires:  libpcap
Version:        0.16
Release:        32.2
Source0:        %name-%version.tar.bz2
Patch0:         %name-manpage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Real-Time Interface Bandwidth Usage
License:        GPL
Group:          Productivity/Networking/Diagnostic
URL:            http://www.ex-parrot.com/~pdw/iftop/
Autoreq:      on

%description
iftop does for network usage what top(1) does for CPU usage. It listens
to network traffic on a named interface and displays a table of current
bandwidth usage by pairs of hosts. It is handy for answering the
question "why is our network link so slow?".



Authors:
--------
    Paul Warren <pdw@ex-parrot.com>
    Chris Lightfoot <chris@ex-parrot.com>

%debug_package
%prep
%setup -q
%patch

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=%_prefix --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING TODO INSTALL
%attr(755,root,root) %{_sbindir}/iftop
%{_mandir}/man8/*

%changelog -n iftop
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 - hvogel@suse.de
- Add -fno-strict-aliasing
* Wed Mar 09 2005 - hvogel@suse.de
- add '-m' parameter to manpage
* Mon Mar 01 2004 - hvogel@suse.de
- update to version 0.16 which includes all fixes from mmj
* Wed Feb 04 2004 - mmj@suse.de
- Fix dereferencing of type-punned pointers
* Thu Jan 29 2004 - hvogel@suse.de
- mark man pages as documentation
* Mon Jan 26 2004 - hvogel@suse.de
- do not use %%configure macro
- use CFLAGS
* Wed Jan 21 2004 - mmj@suse.de
- Fix compound statement to work with new gcc-3.4
* Tue Jan 20 2004 - hvogel@suse.de
- first build and release. Version 0.15
